body,html
{
    margin:0;
    padding:0;
    width:100%;
    height: 100%;
}

html {
  font-size: 14px;
  color: white;
  background-color: black;
  font-family: 'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;
}

#logging-screen {
     position:absolute;
     height:100%;
     width:100%;
}

    #logging-screen .top {
        position: relative;
        background-color: black;
        height: 70%;
        width: 100%;
        background-image: url('../img/mv48h-bg.jpg');
        background-position-x: center;
        background-size: cover;
        padding-top: 20px;
    }

    #logging-screen.checkin .top {
        background-image: url('../img/checkin-bg.jpg');
    } 

    #logging-screen .top .logo {
        display: flex;
        width: 70%; 
        margin: 0 auto; 

        filter: invert(1); 
    }

    #logging-screen .form {
        position: absolute;
        background-color: white;
        color: black;
        width: 80%;
        bottom: 60px;
        left: 10%;
        z-index: 1;
        border-radius: 15px;
        text-align: center;
        box-shadow: 0px 10px 15px -3px rgba(0,0,0,0.1);
    }
        #logging-screen .form .content {
            padding: 20px;
        }

        #logging-screen .form .title {
            font-size: 24px;
            margin-bottom: 10px;
            font-weight:bold;
        }
        #logging-screen .form .sub-title {
            font-size: 16px;
            margin-bottom: 10px;
            font-weight:bold;
        }
        #logging-screen .form .or-qrcode {
            font-size: 16px;
            margin-bottom: 10px;
            font-weight: bold;
        }
        #logging-screen .form .or-qrcode .btn-qrcode {
        }
            #logging-screen .form .or-qrcode .btn-qrcode img {
                width: 24px;
                vertical-align:middle; 
                
            }
        #logging-screen .form .btn-login {
            cursor: pointer;
            font-size: 16px;
            font-weight: bold;
            background-color: #3e86c6;
            color: white;
            text-decoration: none;
            width: 92%;
            padding: 10px;
            border: none;
            border-radius: 10px;
            margin-top: 30px;
            margin-bottom: 10px;
        }

        #logging-screen .form .btn-close-scan {
            display: none;
            cursor: pointer;
            font-size: 16px;
            font-weight: bold;
            background-color: #b4b4b4;
            color: white;
            text-decoration: none;
            width: 93%;
            padding: 10px;
            border: none;
            border-radius: 0 0 10px 10px;
            margin-top: 0px;
            margin-bottom: 10px;
        }

#input-ticket-nb {
    font-weight:bold;
    background-color: #efefef;
    width: 90%;
    padding: 10px;
    border: none;
    border-radius: 10px;
    margin-bottom:10px;
}

#logging-screen .bottom {
    position: absolute;
    background-color: #c6c6c6;
    top: 70%;
    height: 30%;
    width: 100%;
}

html {
    position: relative;
    /*min-height: 100%;*/
    height: 100%;
}

body {
  
}

#voting-screen {
    border-top: 20px #222 solid;
    border-bottom: 20px #222 solid;
    padding: 25px;
    max-width: 500px;
    margin: 0 auto;
    color: #bcbcbc;
    background: linear-gradient(to right, #000, #1a1a1a);
    /*background: fixed radial-gradient(circle at top 9% right 15%, rgba(128, 0, 255, 0.23) 10%, rgba(0, 0, 0, 0) 45%), radial-gradient(circle at bottom 15% right 10%, rgba(128, 0, 255, 0.16) 10%, rgba(0, 0, 0, 0) 45%);*/
}

    /*#voting-screen .bg {
        position:absolute;
        width: 100%;
        height: 100%;
        background-image: url('/img/mv48h-bg.jpg');
        background-position-x: center;
        background-size: cover;
        background-attachment:fixed;
        opacity:0.2;
        z-index:0;
    }*/

    #voting-screen .logo {
        display: flex;
        width: 70%;
        margin: 0 auto;
        filter: invert(1);
    }

#voting-screen h1 {
    margin-bottom: 30px;
}

    #voting-screen .note {
        margin-bottom: 50px;
    }

    #voting-screen .content {
        transition: filter 0.25s ease-in-out;
        
    }
.blur {
    filter: blur(3px);
}

.ticket {
    filter: invert(1);
    height: 16px;
    vertical-align: middle;
    margin: 0 5px 2px 0;
}

.movie
{
    position:relative;
    cursor: pointer;
    margin: 0 0 45px 0;
    /*opacity: 0.7;*/
    transition: all ease-in-out 0.5s;
}
    .movie .btn-cancel
    {
        display:none;
    }

    .movie.selected {
        /*opacity: 1;
        transform: scale(1);*/
    }

#selected-movie-popin {
    position: fixed;
    background-color: #222c;
    /*background-color: #fff2;*/
    /*box-shadow: 15px 15px 15px 15px #000000;*/
    top: 15%;
    left: 20px;
    right: 20px;

    max-width:500px;
    margin: 0 auto;

    /*bottom: 20px;*/
    padding: 20px;
    padding-bottom: 40px;
    border-radius: 10px;
    
}

    #selected-movie-popin .btn-cancel {
        display: block;
        position: absolute;
        top: 10px;
        right: 10px;
        cursor: pointer;
        height: 20px;
        width: 20px;
        background-image: url('/img/xmark-large.svg');
        background-repeat:no-repeat;
        background-position:center;
        filter:invert();
        opacity:0.3;
    }
    #selected-movie-popin h1 {
        font-size:1.5em;
    }

.movie-thumb {
    width: 100%;
    border-radius: 10px;
}
.movie-title{
    text-align:center;
    font-size: 1.3em;
    margin: 5px 0 5px 0;
}
.entracte {
    background-color: #121212;
    text-align: center;
    font-size: 1.3em;
    margin: 5px 0 50px 0;
    padding: 20px;
    border-radius: 10px;
    border: 4px dashed #494949;
}

.voted-img {
    position: absolute;
    filter: invert(56%) sepia(90%) saturate(3385%) hue-rotate(85deg) brightness(126%) contrast(121%);
    top: -20px;
    right: -20px;
    width: 30%;
    opacity: 0.6;
}

.btn-vote {
    display: block;
    cursor: pointer;
    font-size: 16px;
    font-weight: bold;
    background-color: #3e86c699;
    color: white;
    text-decoration: none;
    padding: 15px 10px;
    border: none;
    border-radius: 10px;
    margin-top: 30px;
    margin-bottom: 10px;
    text-align: center;
}

.disclamer 
{
    text-align: center;
}

#message-result
{
    font-size: 2em;
    font-weight: bold;
    color: green;
}

.change-ticket
{
    text-align:right; 
    margin-top: -13px;
}
    .change-ticket a:link,
    .change-ticket a:visited,
    .change-ticket a:hover,
    .change-ticket a:active
    {
        color: white; 
    }


#footer-container {
    width: 100%;
    padding: 50px 0 20px 0;
    opacity: 0.4;
}

#footer {
    margin: 0 auto;
    position: relative;
}



#logos {
    text-align: center;
    color: white;
}

    #logos div {
        width: 110px;
        display: inline-block;
    }

    #logos img {
        width: 90px;
        margin: 0 15px;
        vertical-align: top;
    }


/* Vuejs transition */
.slide-fade-enter-active {
    transition: all .3s ease;
}

.slide-fade-leave-active {
    transition: all .3s cubic-bezier(1.0, 0.5, 0.8, 1.0);
}

.slide-fade-enter, .slide-fade-leave-to {
    opacity: 0;
}

.slide-fade-enter {
    transform: translateX(-20px) translateY(0) !important;
}

.slide-fade-leave-to {
    transform: translateX(20px) translateY(0) !important;
}


/* spinners */
.spinner-scanner {
    display:inline-block;
    margin-right:5px;
    vertical-align:middle;
    width: 24px;
    height: 24px;
    border-radius: 50%;
    background: conic-gradient(#0000 10%,#2a2dff);
    -webkit-mask: radial-gradient(farthest-side,#0000 calc(100% - 3.8px),#000 0);
    animation: spinner-zp9dbg 1s infinite linear;
}

.spinner-button {
    display: inline-block;
    margin-right: 5px; /* To keep distance from text */
    margin-left: -21px; /* To compensate text shift when a appearing */
    margin-bottom: -2px;
    vertical-align: middle;
    width: 16px;
    height: 16px;
    border-radius: 50%;
    background: conic-gradient(#0000 10%,#ffffff);
    -webkit-mask: radial-gradient(farthest-side,#0000 calc(100% - 3.8px),#000 0);
    animation: spinner-zp9dbg 1s infinite linear;
}

@keyframes spinner-zp9dbg {
    to {
        transform: rotate(1turn);
    }
}

/* STAMPS */

.stamp {
    position: absolute;
    top: -15px;
    right: -20px;
    transform: rotate(12deg);
    color: #555;
    font-size: 3rem;
    font-weight: 700;
    border: 0.25rem solid #555;
    display: inline-block;
    padding: 0.25rem 1rem;
    text-transform: uppercase;
    border-radius: 1rem;
    font-family: 'Courier';
    /*-webkit-mask-image: url('https://s3-us-west-2.amazonaws.com/s.cdpn.io/8399/grunge.png');*/
    -webkit-mask-image: url('/img/grunge_mini.png');
    -webkit-mask-size: 224px 78px;
    mix-blend-mode: screen;
    
}

.is-nope {
    color: #D23;
    border: 0.5rem double #D23;
    transform: rotate(3deg);
    -webkit-mask-position: 2rem 3rem;
    font-size: 2rem;
}

.is-approved {
    color: #0A9928;
    border: 0.5rem solid #0A9928;
    -webkit-mask-position: 13rem 6rem;
    transform: rotate(14deg);
    border-radius: 0;
}

.is-draft {
    color: #C4C4C4;
    border: 1rem double #C4C4C4;
    transform: rotate(-5deg);
    font-size: 6rem;
    font-family: "Open sans", Helvetica, Arial, sans-serif;
    border-radius: 0;
    padding: 0.5rem;
} 


